<div class="min-h-screen w-full" x-data="{reload: 'start', nonce:'<?php echo salesloo_create_nonce(); ?>', warning: '<?php echo Salesloo\Checkout::instance()->get_warning(); ?>', submit: false}">
    <div class="relative">
        <div class="h-full w-full max-w-screen-xl mx-auto px-2 sm:px-5">
            <div class="w-full flex">
                <div class="flex-1">
                    <div class="justify-start items-center flex h-28 sm:h-40">
                        <h1 class="font-bold text-gray-800 text-2xl sm:text-4xl"><?php _e('Checkout', 'salesloo'); ?></h1>
                    </div>
                </div>
                <div class="flex-1">
                    <div class="justify-end items-center flex h-28 sm:h-40">
                        <?php salesloo_template_branding(); ?>
                    </div>
                </div>
            </div>
            <template x-if="warning">
                <div class="my-3 text-sm text-left text-orange-400 bg-orange-200 h-12 flex items-center p-4 rounded-lg border border-orange-300" role="alert">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-6 h-6 mx-2 stroke-current">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 9v2m0 4h.01m-6.938 4h13.856c1.54 0 2.502-1.667 1.732-3L13.732 4c-.77-1.333-2.694-1.333-3.464 0L3.34 16c-.77 1.333.192 3 1.732 3z"></path>
                    </svg>
                    <span x-text="warning"></span>
                </div>
            </template>
        </div>
    </div>
    <form method="post">
        <div class="relative">
            <div class="h-full w-full max-w-screen-xl mx-auto px-2 sm:px-5">
                <div class="h-full w-full flex flex-col md:flex-row space-x-0 md:space-x-5 space-y-5 md:space-y-0">
                    <div class="flex-1">
                        <div class="flex flex-col space-y-5">
                            <?php if (is_user_logged_in()) : ?>
                                <div class="bg-white shadow-sm rounded-lg p-5">
                                    <div class="flex flex-col space-y-5">
                                        <div class="relative">
                                            <div class="flex justify-center">
                                                <div class="flex-grow">
                                                    <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Account Details', 'salesloo'); ?></h3>
                                                </div>
                                                <div class="w-20 text-right">
                                                    <a href="<?php echo wp_logout_url(salesloo_url_checkout(salesloo_get_current_product_slug())); ?>" class="w-20 px-4 py-1 rounded bg-blue-200 text-blue-500 text-sm"><?php echo _e('Logout', 'salesloo'); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="relative">
                                            <div class="flex flex-col space-y-1">
                                                <div class="text-sm sm:text-lg">
                                                    <span class="text-gray-600"><?php echo salesloo_user_get_name(get_current_user_id()); ?></span>
                                                    <span class="text-gray-400">(<?php echo wp_get_current_user()->user_login; ?>)</span>
                                                </div>
                                                <div class="text-xs sm:text-sm text-gray-500">
                                                    <?php echo wp_get_current_user()->user_email; ?>
                                                </div>
                                                <div class="text-xs sm:text-sm text-gray-400">
                                                    <?php echo get_user_meta(get_current_user_id(), 'phone', true); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php else : ?>
                                <div class="bg-white shadow-sm rounded-lg p-5">
                                    <div class="flex flex-col space-y-5">
                                        <div class="relative">
                                            <div class="flex justify-center">
                                                <div class="flex-grow">
                                                    <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Account Details', 'salesloo'); ?></h3>
                                                </div>
                                                <div class="w-20 text-right">
                                                    <a href="<?php echo salesloo_url_login('checkout/' . salesloo_get_current_product_slug()); ?>" class="w-20 px-4 py-1 rounded bg-blue-200 text-blue-500 text-sm"><?php echo _e('Login', 'salesloo'); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="relative text-gray-600">
                                            <div class="flex flex-col space-y-5">
                                                <div class="flex w-full" x-data="{ajax:{action: 'check_username',username:'', nonce: nonce}, status: '', loader: false, message: ''}" x-effect="ajax.username == '' ? error = '' : '';ajax.username = ajax.username.toLowerCase().replace(/\W+/g, '');">
                                                    <div class="w-full">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200" :class="status == 'error' ? 'border-red-400':'border-gray-200'">
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5.121 17.804A13.937 13.937 0 0112 16c2.5 0 4.847.655 6.879 1.804M15 10a3 3 0 11-6 0 3 3 0 016 0zm6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                </svg>
                                                            </div>
                                                            <input x-model="ajax.username" type="text" placeholder="<?php _e('Username', 'salesloo'); ?>" name="user[user_login]" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none" required @input.debounce="if(ajax.username){loader = true;status='';$post('', ajax).then(res=>{loader=false;status = 'ok'}).catch(err=>{loader = false;message = err.message;status='error'});}" :class="status == 'error' ? 'text-red-400':''">
                                                            <template x-if="loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-gray-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="animate-spin h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 4v5h.582m15.356 2A8.001 8.001 0 004.582 9m0 0H9m11 11v-5h-.581m0 0a8.003 8.003 0 01-15.357-2m15.357 2H15" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                            <template x-if="ajax.username && status == 'error' && !loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-red-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                            <template x-if="ajax.username && status == 'ok' && !loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-green-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                        </div>
                                                        <template x-if="status == 'error' && !loader && message">
                                                            <div class="text-xs italic text-red-400 px-3 rounded-lg mt-1" x-text="message">
                                                            </div>
                                                        </template>
                                                    </div>
                                                </div>

                                                <div class="flex w-full space-x-5">
                                                    <div class="flex-1">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200">
                                                            <input name="user[first_name]" type="text" placeholder="<?php _e('First name', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none" required>
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" />
                                                                </svg>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="flex-1">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200">
                                                            <input name="user[last_name]" type="text" placeholder="<?php _e('Last name', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none">
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" />
                                                                </svg>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="flex w-full" x-data="{ajax:{action: 'check_email',email:'', nonce: nonce}, status: '', loader: false, message: ''}" x-effect="ajax.email == '' ? error = '' : '';">
                                                    <div class="w-full">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200" :class="status == 'error' ? 'border-red-400':'border-gray-200'">
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 12a4 4 0 10-8 0 4 4 0 008 0zm0 0v1.5a2.5 2.5 0 005 0V12a9 9 0 10-9 9m4.5-1.206a8.959 8.959 0 01-4.5 1.207" />
                                                                </svg>
                                                            </div>
                                                            <input name="user[user_email]" x-model="ajax.email" type="text" placeholder="<?php _e('Email', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none" required @input.debounce="if(ajax.email){loader = true;status='';$post('', ajax).then(res=>{loader=false;status = 'ok'}).catch(err=>{loader = false;message = err.message;status='error'});}" :class="status == 'error' ? 'text-red-400':''">
                                                            <template x-if="loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-gray-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="animate-spin h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 4v5h.582m15.356 2A8.001 8.001 0 004.582 9m0 0H9m11 11v-5h-.581m0 0a8.003 8.003 0 01-15.357-2m15.357 2H15" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                            <template x-if="ajax.email && status == 'error' && !loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-red-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                            <template x-if="ajax.email && status == 'ok' && !loader">
                                                                <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-green-400">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                    </svg>
                                                                </div>
                                                            </template>
                                                        </div>
                                                        <template x-if="status == 'error' && !loader && message">
                                                            <div class="text-xs italic text-red-400 px-3 rounded-lg mt-1" x-text="message">
                                                            </div>
                                                        </template>
                                                    </div>
                                                </div>

                                                <div class="flex w-full">
                                                    <div class="w-full">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200">
                                                            <input name="user[phone]" type="text" placeholder="<?php _e('Phone number', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none" required>
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 18h.01M8 21h8a2 2 0 002-2V5a2 2 0 00-2-2H8a2 2 0 00-2 2v14a2 2 0 002 2z" />
                                                                </svg>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="flex w-full">
                                                    <div class="w-full">
                                                        <div style="background-color: #f4f7fc;" class="w-full relative rounded-lg overflow-hidden border border-gray-200" x-data="{seen: false}">
                                                            <input name="user[pass]" :type="seen ? 'text' : 'password'" placeholder="<?php _e('Password', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 bg-transparent pl-10 text-sm sm:textbase placeholder-gray-300 border-none" required>
                                                            <div class="inline-flex items-center justify-center absolute left-0 top-0 h-full w-10 text-gray-400">
                                                                <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 7a2 2 0 012 2m4 0a6 6 0 01-7.743 5.743L11 17H9v2H7v2H4a1 1 0 01-1-1v-2.586a1 1 0 01.293-.707l5.964-5.964A6 6 0 1121 9z" />
                                                                </svg>
                                                            </div>
                                                            <div class="inline-flex items-center justify-center absolute right-0 top-0 h-full w-10 text-gray-400 cursor-pointer" @click="seen = !seen">
                                                                <span x-show="!seen">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z" />
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M2.458 12C3.732 7.943 7.523 5 12 5c4.478 0 8.268 2.943 9.542 7-1.274 4.057-5.064 7-9.542 7-4.477 0-8.268-2.943-9.542-7z" />
                                                                    </svg>
                                                                </span>
                                                                <span x-show="seen">
                                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13.875 18.825A10.05 10.05 0 0112 19c-4.478 0-8.268-2.943-9.543-7a9.97 9.97 0 011.563-3.029m5.858.908a3 3 0 114.243 4.243M9.878 9.878l4.242 4.242M9.88 9.88l-3.29-3.29m7.532 7.532l3.29 3.29M3 3l3.59 3.59m0 0A9.953 9.953 0 0112 5c4.478 0 8.268 2.943 9.543 7a10.025 10.025 0 01-4.132 5.411m0 0L21 21" />
                                                                    </svg>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="bg-white shadow-sm rounded-lg p-5">
                                <div class="flex flex-col space-y-5">
                                    <div class="relative">
                                        <div class="flex justify-center">
                                            <div class="flex-grow">
                                                <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Your Order', 'salesloo'); ?></h3>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="relative">
                                        <div class="flex flex-col space-y-5">
                                            <?php foreach (\Salesloo\Cart::prepare()->get_items() as $product) : ?>
                                                <div class="border rounded-lg border-gray-100 px-5 py-5 xs:px-5">
                                                    <div class="w-full flex justify-center space-x-5">
                                                        <div class="w-16 h-16 xs:w-20 xs:w-20 sm:h-auto sm:w-24">
                                                            <div class="flex justify-center items-center h-full w-full rounded-lg bg-blue-200 p-1">
                                                                <img class="object-cover object-center rounded-lg w-full" src="<?php echo $product->get_thumbnail_url(); ?>">
                                                            </div>
                                                        </div>
                                                        <div class="flex-grow">
                                                            <div class="flex flex-col lg:flex-row justify-center items-center space-x-0 lg:space-x-5 h-full">
                                                                <div class="w-full lg:w-auto flex-none lg:flex-grow">
                                                                    <h1 class="text-base sm:text-lg font-semibold text-gray-600"><?php echo $product->title; ?></h1>
                                                                </div>
                                                                <div class="w-full lg:w-auto flex-none">
                                                                    <div class="flex flex-row lg:flex-col items-center justify-center h-full">
                                                                        <div class="text-base sm:text-lg text-blue-600 font-bold flex-none">
                                                                            <?php echo salesloo_convert_money($product->get_price()); ?>
                                                                        </div>
                                                                        <div class="text-xs sm:text-base text-gray-400 flex-grow pl-2">
                                                                            /<?php echo salesloo_translate_product_duration($product->duration); ?>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex-1">
                        <div class="flex flex-col space-y-5">
                            <div class="bg-white shadow-sm rounded-lg p-5">
                                <div class="flex flex-col space-y-10">
                                    <div class="w-full" x-data="{payment_method: '<?php echo \Salesloo\Checkout::instance()->payment_method; ?>',open: false, close_height: 96, open_height: 0}" @click.outside="open = false" x-effect="if(payment_method){$post('',{nonce: nonce, action: 'choose_payment_method', method:payment_method}).then(res=>{reload = payment_method; submit= true}).catch(err=>{reload = payment_method;})}">
                                        <div class="flex flex-col space-y-5">
                                            <div class="relative">
                                                <div class="flex justify-center items-center">
                                                    <div class="flex-grow">
                                                        <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Payment Method', 'salesloo'); ?></h3>
                                                    </div>
                                                    <div class="w-20">
                                                        <div class="text-right w-full cursor-pointer" x-show="payment_method" x-data="{tooltip:'<?php _e('Change payment method', 'salesloo'); ?>'}" @click="payment_method = '';open=true;">
                                                            <span class="text-blue-500 text-xs sm:text-sm font-bold" x-tooltip="tooltip"><?php echo _e('Change', 'salesloo'); ?></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="relative transition-all duration-150 ease-in overflow-hidden" :style="open ? {height: 'auto'}:{height: close_height+'px'}">
                                                <div class="w-full">
                                                    <div class="mb-5 w-full" x-show="open==false && !payment_method" x-transition>
                                                        <button type="button" class="w-full border border-gray-100 rounded-lg h-24" @click="open = !open">
                                                            <div class="w-full h-full flex flex-col sm:flex-row justify-center space-x-0 sm:space-x-5">
                                                                <div class="flex-grow">
                                                                    <div class="flex justify-center items-center">
                                                                        <div class="flex-1">
                                                                            <div class="w-full flex flex-col items-start space-y-0 pr-5">
                                                                                <div class="text-sm sm:text-base font-semibold text-gray-600 w-full text-left pl-10">
                                                                                    <span class="text-blue-700"><?php _e('Choose payment method', 'salesloo'); ?></span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="w-12 h-24">
                                                                            <div class="w-full h-full flex items-center justify-center text-gray-500">
                                                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5l7 7-7 7" />
                                                                                </svg>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </button>
                                                    </div>

                                                    <div class="flex flex-col space-y-5 overflow-hidden transition-all duration-150 ease-in pb-5" x-ref="payment_methods">
                                                        <?php foreach (\Salesloo\Plugin::instance()->payment_method->active() as $key => $method) : ?>
                                                            <button type="button" x-data="" x-if="if(payment_method == '<?php echo $key; ?>'){$el.parentNode.prepend($el);}" class="w-full border border-gray-100 rounded-lg h-24 hover:shadow-lg" @click="payment_method = '<?php echo $key; ?>';$el.parentNode.prepend($el);open=!open">
                                                                <div class="w-full h-full flex flex-col sm:flex-row justify-center space-x-0 sm:space-x-5">
                                                                    <div class="flex-grow">
                                                                        <div class="flex justify-center items-center">
                                                                            <div class="w-12 lg:w-20 h-24">
                                                                                <div class="flex justify-center items-center h-full w-full">
                                                                                    <template x-if="payment_method == '<?php echo $key; ?>'">
                                                                                        <div class="w-6 h-6 text-blue-500 rounded-full">
                                                                                            <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" viewBox="0 0 20 20" fill="currentColor">
                                                                                                <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd" />
                                                                                            </svg>
                                                                                        </div>
                                                                                    </template>
                                                                                    <template x-if="payment_method != '<?php echo $key; ?>'">
                                                                                        <div class="w-5 h-5 border border-gray-400 rounded-full"></div>
                                                                                    </template>
                                                                                </div>
                                                                            </div>
                                                                            <div class="flex-1">
                                                                                <div class="w-full flex flex-col items-start space-y-0 pr-5">
                                                                                    <div class="text-sm lg:text-base font-semibold text-gray-600 w-full text-left">
                                                                                        <?php echo $method->get_title(); ?>
                                                                                    </div>
                                                                                    <div class="text-xs lg:text-sm text-gray-500 w-full text-left">
                                                                                        <?php echo $method->get_description(); ?>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="hidden sm:block w-28 lg:w-36 h-24 pr-4 lg:pr-10">
                                                                        <div class="w-full h-full flex items-center justify-end">
                                                                            <img src="<?php echo $method->get_icon(); ?>" class="h-3 lg:h-4">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </button>
                                                        <?php endforeach; ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="w-full">
                                        <div class="flex flex-col space-y-5">
                                            <div class="relative">
                                                <div class="flex justify-center">
                                                    <div class="flex-grow">
                                                        <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Coupon', 'salesloo'); ?></h3>
                                                    </div>
                                                </div>
                                                <div class="prose-sm text-gray-500">
                                                    <?php echo salesloo_get_option('checkout_coupon_information'); ?>
                                                </div>
                                            </div>
                                            <div class="relative">
                                                <div class="flex flex-col space-y-5">
                                                    <div class="relative" x-data="{coupon: '<?php echo \Salesloo\Checkout::instance()->coupon_code; ?>',status: '', processing: '<?php echo \Salesloo\Checkout::instance()->coupon_code; ?>', message: ''}" x-effect="if(coupon && processing){$post('',{nonce: nonce, action: 'apply_coupon', code:coupon}).then(res=>{reload = coupon;processing=false;status='ok';if(coupon == '%%'){coupon=''}}).catch(err=>{status='error';processing = false;message=err.message;})}">
                                                        <div class="flex flex-row items-center w-full rounded-lg overflow-hidden" style="background-color: #f4f7fc;">
                                                            <div class="relative w-full flex-grow border border-gray-100">
                                                                <input type="text" placeholder="<?php _e('Input coupon code here', 'salesloo'); ?>" value="" class="w-full outline-none appearance-none focus:outline-none focus:ring-1 focus:ring-gray-50 active:outline-none py-3 pl-3 bg-transparent text-sm placeholder-gray-300 border-none" x-model="coupon" :class="{'text-green-400':status == 'ok', 'text-red-400':status == 'error', 'text-gray-500':status == ''}">
                                                                <template x-if="coupon">
                                                                    <div class="absolute right-3 top-3 text-gray-400 cursor-pointer" x-tooltip="'<?php _e('Clear code'); ?>'" @click="coupon = '%%';processing=true">
                                                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                                                        </svg>
                                                                    </div>
                                                                </template>
                                                            </div>
                                                            <button x-tooltip="'<?php _e('Apply Coupon'); ?>'" type="button" class="w-32 px-auto py-3 text-white bg-gray-700 outline-none md:px-4 hover:bg-gray-600 focus:outline-none active:outline-none border border-gray-600" @click="processing=true">
                                                                <span class="text-xs sm:text-sm font-bold" x-text="coupon && processing ? '<?php _e('Processing..', 'salesloo'); ?>' : '<?php _e('Apply', 'salesloo'); ?>'"></span>
                                                            </button>
                                                        </div>
                                                        <template x-if="status == 'error' && !processing && message">
                                                            <div class="text-xs italic text-red-400 rounded-lg mt-1" x-text="message">
                                                            </div>
                                                        </template>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="w-full">
                                        <div class="flex flex-col space-y-5">
                                            <div class="relative">
                                                <div class="flex justify-center">
                                                    <div class="flex-grow">
                                                        <h3 class="text-base sm:text-xl text-gray-700 font-semibold"><?php _e('Order Summary', 'salesloo'); ?></h3>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="relative">
                                                <div class="flex flex-col space-y-5">
                                                    <div class="relative" x-data="{skeleton:true, summary: [], total: ''}" x-effect="if(reload){skeleton=true;$get('?action=summary&nonce='+nonce).then(res=>{summary = res.summaries; total = res.total; skeleton=false}).catch(error=>{console.log(error)})};">
                                                        <template x-if="skeleton">
                                                            <div class="w-full">
                                                                <div class="animate-pulse flex space-x-4">
                                                                    <div class="flex-1 py-1">
                                                                        <div class="space-y-4">
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6"></div>
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6"></div>
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="flex-1 py-1">
                                                                        <div class="space-y-4">
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6 ml-auto"></div>
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6 ml-auto"></div>
                                                                            <div class="h-4 bg-gray-300 rounded w-5/6 ml-auto"></div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="animate-pulse flex space-x-4 mt-10">
                                                                    <div class="flex-1 py-1">
                                                                        <div class="space-y-2">
                                                                            <div class="h-6 bg-gray-300 rounded w-5/6"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="flex-1 py-1">
                                                                        <div class="space-y-2">
                                                                            <div class="h-6 bg-gray-300 rounded w-5/6 ml-auto"></div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </template>
                                                        <div class="text-sm sm:text-base" x-show="!skeleton">
                                                            <template x-for="[key, val] in Object.entries(summary)" :key="key">
                                                                <div class="my-5">
                                                                    <div class="flex items-center justify-center w-full cursor-pointer text-gray-100" x-show="val.value">
                                                                        <div class="w-1/2">
                                                                            <div class="text-gray-500 font-semibold" x-html="val.label"></div>
                                                                        </div>
                                                                        <div class="w-1/2">
                                                                            <div class="font-bold text-right" :class="{'text-gray-400' : val.operation == '+', 'text-green-400' : val.operation == '-', 'text-gray-600' : !val.operation}" x-html="val.print"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="text-xs italic text-blue-400" x-show="val.message" x-html="val.message"></div>
                                                                </div>
                                                            </template>
                                                        </div>
                                                        <template x-if="total && !skeleton">
                                                            <div class="text-sm sm:text-base border-t border-dashed mt-5 sm:mt-10 pt-5 sm:pt-10">
                                                                <div class="flex items-center justify-center w-full cursor-pointer text-gray-100">
                                                                    <div class="flex-grow">
                                                                        <div class="text-gray-700 font-bold" x-html="total.label"></div>
                                                                    </div>
                                                                    <div class="flex-none">
                                                                        <div class="font-bold text-right text-red-500 text-lg sm:text-2xl" x-html="total.value > 0 && total.converted.print ? total.converted.print : total.print"></div>
                                                                    </div>
                                                                </div>
                                                                <div class="text-xs italic text-gray-500" x-show="total.message" x-html="total.value > 0 ? total.message : ''"></div>
                                                            </div>
                                                        </template>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="flex flex-col-reverse lg:flex-row space-y-5 lg:space-y-0 space-y-reverse space-x-0 lg:space-x-5">
                                <div class="flex-1 text-gray-500" x-data="{fullname: '', username: ''}" x-effect="if(reload){$get('?action=affiliated_by&nonce='+nonce).then(res=>{fullname = res.fullname;username = res.username}).catch(error=>{console.log(error)})};">
                                    <template x-if="username">
                                        <div class="w-full h-full flex flex-col items-center justify-center">
                                            <div class="text-sm text-gray-400">
                                                <?php _e('Affiliated By', 'salesloo'); ?>
                                            </div>
                                            <div class="text-sm font-semibold">
                                                <span x-text="fullname"></span>
                                            </div>
                                            <div class="text-xs text-gray-400">
                                                (<span x-text="username"></span>)
                                            </div>
                                        </div>
                                    </template>
                                </div>
                                <div class="flex-1">
                                    <div class="flex flex-col space-y-3">
                                        <div class="w-full">
                                            <button id="buynow" :type="submit ? 'submit' : 'button'" class="w-full px-auto py-5 text-white bg-blue-700 outline-none md:px-4 hover:bg-gray-600 focus:outline-none active:outline-none border border-blue-600 rounded-lg">
                                                <span class="text-sm font-bold"><?php echo salesloo_get_option('checkout_button_label'); ?></span>
                                            </button>
                                        </div>
                                        <div class="w-full">
                                            <div class="text-base flex items-center justify-center space-x-2 text-gray-500">
                                                <span>
                                                    <svg width="18" height="18" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <path d="M20.91 11.1203C20.91 16.0103 17.36 20.5903 12.51 21.9303C12.18 22.0203 11.82 22.0203 11.49 21.9303C6.63999 20.5903 3.09 16.0103 3.09 11.1203V6.73028C3.09 5.91028 3.71001 4.98028 4.48001 4.67028L10.05 2.39031C11.3 1.88031 12.71 1.88031 13.96 2.39031L19.53 4.67028C20.29 4.98028 20.92 5.91028 20.92 6.73028L20.91 11.1203Z" stroke="#888888" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                                                        <path d="M12 12.5C13.1046 12.5 14 11.6046 14 10.5C14 9.39543 13.1046 8.5 12 8.5C10.8954 8.5 10 9.39543 10 10.5C10 11.6046 10.8954 12.5 12 12.5Z" stroke="#888888" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                                                        <path d="M12 12.5V15.5" stroke="#888888" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                                                    </svg>

                                                </span>
                                                <span class="font-semibold">
                                                    <?php _e('Secure Payment', 'salesloo'); ?>
                                                </span>
                                            </div>
                                            <div class="prose-sm text-gray-400 text-center">
                                                <?php echo salesloo_get_option('checkout_information'); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field('salesloo-checkout', '__nonce'); ?>
    </form>
    <div class="h-10">

    </div>
</div>
<?php
do_action('salesloo/checkout/end');
